# Contributing to Twake

When contributing to this repository, please first discuss the change you wish to make via issue,
email, or any other method with the owners of this repository before making a change. 

#### Run Twake in dev mode and get dthe documentation

Everythinng you need is on the Twake documentation for internal developers:
> https://doc.twake.app/internal-documentation/get_started

#### How to contribute

Any change must be done using **Pull Requests** incoming from a fork of original Twake repository.

#### Commit format

Your pull request and commits must respect this format:

`[Emoji] [Verb] [Details]`

The description of the commit must contain the issues fixed by your proposition.
Example: 
`Fixes #43`

List of commit emojis:
- 🛠 Fixing broken code.
- ♻️ Refactoring code and making it work better.
- 🔍 Writing or fixing tests.
- 🌈 Making your code or your app beautiful with style
- 🐳 Deployment / docker
- 📚 Documentation
- 🌟 New feature

Examples of commits:

`🛠 Fix broken login page`
`🌟 Implement SpaceX Crew Dragon plugin`

